Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ui.outline
Class ATestTransformer

    java.lang.Object
      org.eclipse.xtext.ui.editor.outline.transformer.AbstractSemanticModelTransformer
          org.eclipse.xtext.ui.editor.outline.transformer.DefaultSemanticModelTransformer
              org.eclipse.xtext.ui.editor.outline.transformer.AbstractDeclarativeSemanticModelTransformer
                  org.eclipse.amp.amf.testing.ui.outline.ATestTransformer

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.outline.transformer.ISemanticModelTransformer

    public class ATestTransformer

extends org.eclipse.xtext.ui.editor.outline.transformer.AbstractDeclarativeSemanticModelTransformer

customization of the default outline structure

Field Summary

Fields inherited from class org.eclipse.xtext.ui.editor.outline.transformer.AbstractSemanticModelTransformer
`INVISIBLE_ROOT_NODE, NO_CHILDREN`

Constructor Summary
`ATestTransformer()`

Method Summary

Methods inherited from class org.eclipse.xtext.ui.editor.outline.transformer.AbstractDeclarativeSemanticModelTransformer
`consumeNode, consumeSemanticNode, createNode, setLabelProvider`

Methods inherited from class org.eclipse.xtext.ui.editor.outline.transformer.DefaultSemanticModelTransformer
`consumeSemanticChildNodes, getContentOutlineNodeFactory, setContentOutlineNodeFactory, setResourceAccess`

Methods inherited from class org.eclipse.xtext.ui.editor.outline.transformer.AbstractSemanticModelTransformer
`transformSemanticModel, transformSemanticNode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestTransformer

    public ATestTransformer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD